org.apache.lucene.index

## Class MergingCodecReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.LeafReader
    - - org.apache.lucene.index.CodecReader
      - - org.apache.lucene.index.FilterCodecReader
        - - org.apache.lucene.index.MergingCodecReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Accountable

      public class MergingCodecReader
      extends FilterCodecReader

  `CodecReader` wrapper that performs all reads using the merging instance of the index formats.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

      `IndexReader.CacheHelper, IndexReader.CacheKey, IndexReader.ClosedListener`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.FilterCodecReader

      `in`

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergingCodecReader(CodecReader in)` Wrap the given instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexReader.CacheHelper` | `getCoreCacheHelper()`
    `StoredFieldsReader` | `getFieldsReader()`
    `NormsProducer` | `getNormsReader()`
    `IndexReader.CacheHelper` | `getReaderCacheHelper()`

    - ### Methods inherited from class org.apache.lucene.index.FilterCodecReader

      `checkIntegrity, doClose, getChildResources, getDelegate, getDocValuesReader, getFieldInfos, getLiveDocs, getMetaData, getPointsReader, getPostingsReader, getTermVectorsReader, maxDoc, numDocs, ramBytesUsed, unwrap`

    - ### Methods inherited from class org.apache.lucene.index.CodecReader

      `document, getBinaryDocValues, getNormValues, getNumericDocValues, getPointValues, getSortedDocValues, getSortedNumericDocValues, getSortedSetDocValues, getTermVectors, terms`

    - ### Methods inherited from class org.apache.lucene.index.LeafReader

      `docFreq, getContext, getDocCount, getSumDocFreq, getSumTotalTermFreq, postings, postings, totalTermFreq`

    - ### Methods inherited from class org.apache.lucene.index.IndexReader

      `close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hasDeletions, hashCode, incRef, leaves, numDeletedDocs, registerParentReader, tryIncRef`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergingCodecReader

          public MergingCodecReader(CodecReader in)

      Wrap the given instance.

  - ### Method Detail

    - #### getFieldsReader

          public StoredFieldsReader getFieldsReader()

      Overrides:
        `getFieldsReader` in class `FilterCodecReader`

    - #### getNormsReader

          public NormsProducer getNormsReader()

      Overrides:
        `getNormsReader` in class `FilterCodecReader`

    - #### getCoreCacheHelper

          public IndexReader.CacheHelper getCoreCacheHelper()

      Specified by:
        `getCoreCacheHelper` in class `LeafReader`

    - #### getReaderCacheHelper

          public IndexReader.CacheHelper getReaderCacheHelper()

      Specified by:
        `getReaderCacheHelper` in class `IndexReader`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.